Summary: Isoqlog on SME 
%define name smeserver-isoqlog
Name: %{name}
%define version 2.2.1
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Administration
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-webserver.patch
Patch1: smeserver-isoqlog-2.2.1-patch1.patch
Patch2: smeserver-isoqlog-2.2.1-domcreate.patch
Packager: Peter Schubert <psc@@s-a-c-o.de>
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-release => 7.5
Requires: isoqlog => 2.2.1
BuildRequires: e-smith-devtools

AutoReqProv: no

%changelog
* Tue Sep 17 2013 JP Pialasse <test@pialasse.com> 2.2.1-3.sme
- added  expand template to events domain-create  [SME: 7713]

* Thu Jun 27 2013 JP Pialasse <test@pialasse.com> 2.2.1-2.sme
- fix missing domain [SME: 7713]
- added expand template to events
- patch1

* Fri Aug 31 2012 JP Pialasse <test@pialasse.com> 2.2.1-1.5.sme
- webserver conf path and file missing fix

* Thu Aug 30 2012 JP Pialasse <test@pialasse.com> 2.2.1-1.2.sme
- fix BuildRequires

* Thu Aug 16 2012 JP Pialasse <test@pialasse.com> 2.2.1-1-1.sme
- removing isoqlog files from the rpm
- moving to a SME config only
- adding dependency to isoqlog binaries rpm

* Mon Feb 17 2003 Peter Schubert <psc@s-a-c-o.de>
- some fixes in the "post" section of the SPEC

* Fri Feb 14 2003 Peter Schubert <psc@s-a-c-o.de>
- initial release

%description
Installs Isoqlog on SME Server.

%prep

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
#(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
#rm -f %{name}-%{version}-filelist
#/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
#echo "%doc COPYING"          >> %{name}-%{version}-filelist

%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-isoqlog/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/service/httpd-isoqlog/log/supervise
%{__mkdir_p} $RPM_BUILD_ROOT/var/log/httpd-isoqlog
%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/php/isoqlog-session


(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/service/httpd-isoqlog 'attr(01755,root,root)' \
        --file /var/service/httpd-isoqlog/run 'attr(0700,root,root)' \
        --dir /var/service/httpd-isoqlog/supervise 'attr(0700,root,root)' \
        --dir /var/service/httpd-isoqlog/log 'attr(0755,root,root)' \
        --file /var/service/httpd-isoqlog/log/run 'attr(0755,root,root)' \
        --dir /var/service/httpd-isoqlog/log/supervise 'attr(0700,root,root)' \
        --dir /var/log/httpd-isoqlog 'attr(0750,smelog,smelog)' \
        --dir /var/lib/php/isoqlog-session 'attr(0770,root,isoqlog)' \
        > %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/e-smith/create-system-user isoqlog 545 'Isoqlog User' /var/lib/qmailtools/isoqlog/htdocs/ /bin/false >& /dev/null || :

%preun
# Disable services, and stop them
if [ $1 = 0 ]; then # Uninstall only, not upgrade
        db configuration setprop httpd-isoqlog status disabled >& /dev/null || :
	/sbin/e-smith/signal-event isoqlog-conf
        sv d /service/httpd-isoqlog
fi

true

%post
/sbin/e-smith/signal-event isoqlog-conf
/usr/bin/isoqlog -f /etc/isoqlog.conf 1>/dev/null 2>/dev/null

%postun
rm -f /etc/httpd/conf.d/isoqlog.conf
/etc/rc.d/init.d/httpd-e-smith restart


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

